directory = 'Q:\qgases\groups\strontium\SrCAL\Data\SSBEC\191226\S18\Results20200218203040\';
datacolormapfilename='Q:\qgases\groups\strontium\SrCAL\Data\SSBEC\Analysis\191226\S18Fits\ColorScalessBEC18msTOFV2.dat';
fitcolormapfilename='Q:\qgases\groups\strontium\SrCAL\Data\SSBEC\Analysis\191226\S18Fits\ColorScalessBEC18msTOFV2.dat';
thermalcolormapfilename='Q:\qgases\groups\strontium\SrCAL\Data\SSBEC\Analysis\191226\S18Fits\ColorScalessBEC18msTOFV2.dat';
residualcolormapfilename='Q:\qgases\groups\strontium\SrCAL\Data\SSBEC\Analysis\191226\S18Fits\ColorScalessBEC18msTOFV2Residuals.dat';
[datamap]=readcolormap(datacolormapfilename);
[fitmap]=readcolormap(fitcolormapfilename);
[thermalmap]=readcolormap(thermalcolormapfilename);
[residualmap]=readcolormap(residualcolormapfilename);


fitsummaryfig6=20;

% figure(fignum);
% clf;
% imagesc(zrange/1e-3,xrange/1e-3,localdepth1);
% set(gca,'YDir','normal');
% ylabel('X Position [mm]');
% xlabel('Z Position [mm]');
% title('Local Depth Transport 1S0 [uK]');
% colormap jet;
% if zeromaxscale
%     caxis([0 max(max(localdepth1))]);
% end
% colorbar;
% axis tight

figure(fitsummaryfig6);
set (gcf, 'position',[1 1 1052 880]);
        % subplot(2,2,4,'replace');
%         blursize=3;
%         [blurmeanImData]=blurdata(meanImData,blursize);
%         Xb=X((blursize+1):(end-blursize));
%         Yb=Y((blursize+1):(end-blursize));
%         rangex=[325:650];
%         rangey=1:length(Yb);

% localdepth2=localdepth1;
localdepth2=potentialenergy1;
localdepth2(localdepth2>1)=nan;
localdepth2(localdepth2>-1)=-1;
xoffset=150e-6;
xoffset=0e-6;
zoffset=41e-3;
theta=8;
[zgrid,xgrid]=meshgrid(zrange,xrange);
% localdepth2(((xgrid-xoffset)*cos(theta*pi/180)+(zgrid-zoffset)*sin(theta*pi/180))>0)=nan;
% localdepth2((xgrid)<0)=nan;

%         s=surf(zrange/1e-3,xrange/1e-3,-localdepth1(toplot));
        s=surf(zrange/1e-3,xrange/1e-3,localdepth2);
        
        
%         s=surf2solid(zrange/1e-3,xrange/1e-3,localdepth2,'thickness',2);
        set(gca,'YDir','normal');
        set(gca,'XDir','reverse');
%         colormap(datamap);
        colormap(jet);
        s.EdgeColor = 'none';
        % s.AmbientStrength=0;
        % s.DiffuseStrength=0.1;
        % s.SpecularStrength=0.9;
        % s.SpecularExponent=10;
%         set(gca,'Color','k')
        shading interp
%         lightangle(175,50)
%         lightangle(175,60)
%         lightangle(175,70)
        s.FaceLighting = 'gouraud';
        % s.AmbientStrength = 0.2;
        % s.DiffuseStrength = 0.6;
        % s.SpecularStrength = 0.9;
lighthandle1=light;
lighthandle2=light;
lighthandle3=light;
% lightangle(lighthandle1,315,-20);
% lightangle(lighthandle2,270,-80);
% lightangle(lighthandle3,315,-40);
lightangle(lighthandle1,315,20);
lightangle(lighthandle2,270,30);
lightangle(lighthandle3,315,40);
s.FaceAlpha=0.6;
s.AmbientStrength = 0.4;
        s.DiffuseStrength = 0.4;
        s.SpecularStrength = 1;
        s.SpecularExponent = 1;

%         s.BackFaceLighting = 'unlit';
%         axis tight
%         axis([ min(zrange)/1e-3   max(zrange)/1e-3   min(xrange)/1e-3    max(xrange)/1e-3  -100  -25]);
%         axis([36   45   -1.5    1.5  -10  30]);
        axis([35   43   -1    2  -45  10]);
        % view([8.5000   58.0000]);
%         view([3.5000   50.0000]);
view([235,30]);
% for el=0:10:360
%     lightangle(lighthandle,180,el);
%     title(num2str(el));
%     pause(0.5);
% end
%         lightangle(175,50)
%         lightangle(175,60)
%         lightangle(175,70)

%         hold on;
% 
%         s2=line(Xb(rangex),repmat(Y(Dimpley),size(rangex)),blurmeanImData(Dimpley-blursize,rangex)+max(max(blurmeanImData))*0.02);
%         s2.Color='k';
% 
%         s3=line(repmat(X(Dimplex),size(rangey)),Yb(rangey),blurmeanImData(rangey,Dimplex-blursize)+max(max(blurmeanImData))*0.02);
%         s3.Color='k';
% 
%         hold off;

set(gca,'ZTick',[],'YTick',[],'XTick',[]);



fitsummaryfig7=21;

% figure(fignum);
% clf;
% imagesc(zrange/1e-3,xrange/1e-3,localdepth1);
% set(gca,'YDir','normal');
% ylabel('X Position [mm]');
% xlabel('Z Position [mm]');
% title('Local Depth Transport 1S0 [uK]');
% colormap jet;
% if zeromaxscale
%     caxis([0 max(max(localdepth1))]);
% end
% colorbar;
% axis tight

figure(fitsummaryfig7);
set (gcf, 'position',[1 1 1052 880]);

        % subplot(2,2,4,'replace');
%         blursize=3;
%         [blurmeanImData]=blurdata(meanImData,blursize);
%         Xb=X((blursize+1):(end-blursize));
%         Yb=Y((blursize+1):(end-blursize));
%         rangex=[325:650];
%         rangey=1:length(Yb);

% localdepth2=localdepth1;
localdepth2=potentialenergy1;
localdepth2(localdepth2>1)=nan;
localdepth2(localdepth2>-1)=-1;
xoffset=150e-6;
xoffset=0e-6;
zoffset=41e-3;
theta=8;
% [zgrid,xgrid]=meshgrid(zrange,xrange);
% localdepth2(((xgrid-xoffset)*cos(theta*pi/180)+(zgrid-zoffset)*sin(theta*pi/180))>0)=nan;
% localdepth2((xgrid)<0)=nan;

         s2=surf(zrange/1e-3,xrange/1e-3,localdepth2);
        
%         s=surf2solid(zrange/1e-3,xrange/1e-3,localdepth2,'thickness',2);
        

        xlabel('X');
        ylabel('Y');
%         colormap(datamap);
        colormap(jet);
        s2.EdgeColor = 'none';
        % s.AmbientStrength=0;
        % s.DiffuseStrength=0.1;
        % s.SpecularStrength=0.9;
        % s.SpecularExponent=10;
%         set(gca,'Color','k')
%         shading interp
%         lightangle(175,50)
%         lightangle(175,60)
%         lightangle(175,70)
%         s2.FaceLighting = 'gouraud';
        % s.AmbientStrength = 0.2;
        % s.DiffuseStrength = 0.6;
        % s.SpecularStrength = 0.9;
% lighthandle1=light;
% lighthandle2=light;
% lighthandle3=light;
% % lightangle(lighthandle1,315,-20);
% % lightangle(lighthandle2,270,-80);
% % lightangle(lighthandle3,315,-40);
% lightangle(lighthandle1,315,20);
% lightangle(lighthandle2,270,30);
% lightangle(lighthandle3,315,40);
% s.FaceAlpha=0.4;
% s.AmbientStrength = 0.4;
%         s.DiffuseStrength = 0.4;
%         s.SpecularStrength = 1;
%         s.SpecularExponent = 1;
% 
% %         s.BackFaceLighting = 'unlit';
% %         axis tight
% %         axis([ min(zrange)/1e-3   max(zrange)/1e-3   min(xrange)/1e-3    max(xrange)/1e-3  -100  -25]);
% %         axis([36   45   -1.5    1.5  -10  30]);
% for el=0:10:360
%     lightangle(lighthandle,180,el);
%     title(num2str(el));
%     pause(0.5);
% end
%         lightangle(175,50)
%         lightangle(175,60)
%         lightangle(175,70)

%         hold on;
% 
%         s2=line(Xb(rangex),repmat(Y(Dimpley),size(rangex)),blurmeanImData(Dimpley-blursize,rangex)+max(max(blurmeanImData))*0.02);
%         s2.Color='k';
% 
%         s3=line(repmat(X(Dimplex),size(rangey)),Yb(rangey),blurmeanImData(rangey,Dimplex-blursize)+max(max(blurmeanImData))*0.02);
%         s3.Color='k';
% 
%         hold off;

set(gca,'ZTick',[],'YTick',[],'XTick',[]);


% Dec 26 S22 P28 top view

% Dec 26 S21 P39 side view

cameranumber = 1;
directory='Q:\qgases\groups\strontium\SrCAL\Data\SSBEC\191226';
seriesnumber=21;
imagenumber=39;

% cameraLetter=char('A'-1+cameraNumber);
% fileName=[currentDayDirectory '\S' num2str(seriesNumber) '\P' num2str(visionPictNbCount,'%04i') cameraLetter,'A',num2str(cameraNumber-1), '.tga'];

% if exist(char(fileName),'file')
    [difference,newdata,raw,probe]=loadvisionpicture(directory,seriesnumber,imagenumber,cameranumber);
%     referencePic=max(-referencePic,0);

    MaxOD = 5;
    Pic = min(MaxOD, -log(max(0.0000000000001, raw ./ probe)));
% end

data1=Pic(200:300,:);

cameranumber = 2;
directory='Q:\qgases\groups\strontium\SrCAL\Data\SSBEC\191226';
seriesnumber=22;
imagenumber=28;

% cameraLetter=char('A'-1+cameraNumber);
% fileName=[currentDayDirectory '\S' num2str(seriesNumber) '\P' num2str(visionPictNbCount,'%04i') cameraLetter,'A',num2str(cameraNumber-1), '.tga'];

% if exist(char(fileName),'file')
    [difference,newdata,raw,probe]=loadvisionpicture(directory,seriesnumber,imagenumber,cameranumber);
%     referencePic=max(-referencePic,0);

    MaxOD = 5;
    Pic = min(MaxOD, -log(max(0.0000000000001, raw ./ probe)));
% end

data2=Pic(620:-1:320,end:-1:1);

cameranumber = 1;
directory='Q:\qgases\groups\strontium\SrCAL\Data\SSBEC\191226';
seriesnumber=38;
imagenumber=39;

% cameraLetter=char('A'-1+cameraNumber);
% fileName=[currentDayDirectory '\S' num2str(seriesNumber) '\P' num2str(visionPictNbCount,'%04i') cameraLetter,'A',num2str(cameraNumber-1), '.tga'];

% if exist(char(fileName),'file')
    [difference,newdata,raw,probe]=loadvisionpicture(directory,seriesnumber,imagenumber,cameranumber);
%     referencePic=max(-referencePic,0);

    MaxOD = 5;
    Pic = min(MaxOD, -log(max(0.0000000000001, raw ./ probe)));
% end

data3=Pic(500:750,:);

% data1=randn(512,1004);

zcal=4.48e-6;
xcal=4.48e-6*3;

xdata1=((size(data1,1)-1)/2*xcal:-xcal:-(size(data1,1)-1)/2*xcal);
zdata1=(-(size(data1,2)-1)/2*zcal:zcal:(size(data1,2)-1)/2*zcal)+40.1e-3;
[Z1,X1] = meshgrid(zdata1,xdata1);

zcal=4.48e-6;
xcal=4.48e-6;

xdata2=((size(data2,1)-1)/2*xcal:-xcal:-(size(data2,1)-1)/2*xcal);
zdata2=(-(size(data2,2)-1)/2*zcal:zcal:(size(data2,2)-1)/2*zcal)+39.7e-3;
[Z2,X2] = meshgrid(zdata2,xdata2);

zcal=4.48e-6;
xcal=4.48e-6*1;

xdata3=((size(data3,1)-1)/2*xcal:-xcal:-(size(data3,1)-1)/2*xcal)-3.5e-3;
zdata3=(-(size(data3,2)-1)/2*zcal:zcal:(size(data3,2)-1)/2*zcal)+40.1e-3;
[Z3,X3] = meshgrid(zdata3,xdata3);

hold on;
warp(Z2/1e-3,X2/1e-3,-45*ones(size(Z2)),data2*64,jet);

warp(Z1/1e-3,-0.8*ones(size(Z1)),X1*10/1e-3,data1*64,jet);

warp(Z3/1e-3,-0.8*ones(size(Z3)),X3*10/1e-3,data3*256*2,datamap);

% warp(X,Y,-30*ones(size(X)),data1,jet);

%         s2=surf(zrange/1e-3,xrange/1e-3,localdepth2);
hold off;
        
        set(gca,'YDir','normal');
        set(gca,'XDir','reverse');

        axis([35   43   -1    2  -45  10]);
        % view([8.5000   58.0000]);
%         view([3.5000   50.0000]);
view([235,30]);




