directory = 'Q:\qgases\groups\strontium\SrCAL\Data\SSBEC\191226\S18\Results20200218203040\';
datacolormapfilename='Q:\qgases\groups\strontium\SrCAL\Data\SSBEC\Analysis\191226\S18Fits\ColorScalessBEC18msTOFV2.dat';
fitcolormapfilename='Q:\qgases\groups\strontium\SrCAL\Data\SSBEC\Analysis\191226\S18Fits\ColorScalessBEC18msTOFV2.dat';
thermalcolormapfilename='Q:\qgases\groups\strontium\SrCAL\Data\SSBEC\Analysis\191226\S18Fits\ColorScalessBEC18msTOFV2.dat';
residualcolormapfilename='Q:\qgases\groups\strontium\SrCAL\Data\SSBEC\Analysis\191226\S18Fits\ColorScalessBEC18msTOFV2Residuals.dat';
[datamap]=readcolormap(datacolormapfilename);
[fitmap]=readcolormap(fitcolormapfilename);
[thermalmap]=readcolormap(thermalcolormapfilename);
[residualmap]=readcolormap(residualcolormapfilename);


fitsummaryfig6=20;

% figure(fignum);
% clf;
% imagesc(zrange/1e-3,xrange/1e-3,localdepth1);
% set(gca,'YDir','normal');
% ylabel('X Position [mm]');
% xlabel('Z Position [mm]');
% title('Local Depth Transport 1S0 [uK]');
% colormap jet;
% if zeromaxscale
%     caxis([0 max(max(localdepth1))]);
% end
% colorbar;
% axis tight

figure(fitsummaryfig6);
        % subplot(2,2,4,'replace');
%         blursize=3;
%         [blurmeanImData]=blurdata(meanImData,blursize);
%         Xb=X((blursize+1):(end-blursize));
%         Yb=Y((blursize+1):(end-blursize));
%         rangex=[325:650];
%         rangey=1:length(Yb);

% localdepth2=localdepth1;
localdepth2=potentialenergy1;
localdepth2(localdepth2>1)=nan;
localdepth2(localdepth2>-1)=-1;
xoffset=150e-6;
xoffset=0e-6;
zoffset=41e-3;
theta=8;
[zgrid,xgrid]=meshgrid(zrange,xrange);
% localdepth2(((xgrid-xoffset)*cos(theta*pi/180)+(zgrid-zoffset)*sin(theta*pi/180))>0)=nan;
% localdepth2((xgrid)<0)=nan;

%         s=surf(zrange/1e-3,xrange/1e-3,-localdepth1(toplot));
        s=surf(zrange/1e-3,xrange/1e-3,localdepth2);
%         s=surf2solid(zrange/1e-3,xrange/1e-3,localdepth2,'thickness',2);
        set(gca,'YDir','normal');
        set(gca,'XDir','reverse');
%         colormap(datamap);
        colormap(jet);
        s.EdgeColor = 'none';
        % s.AmbientStrength=0;
        % s.DiffuseStrength=0.1;
        % s.SpecularStrength=0.9;
        % s.SpecularExponent=10;
%         set(gca,'Color','k')
        shading interp
%         lightangle(175,50)
%         lightangle(175,60)
%         lightangle(175,70)
        s.FaceLighting = 'gouraud';
        % s.AmbientStrength = 0.2;
        % s.DiffuseStrength = 0.6;
        % s.SpecularStrength = 0.9;
lighthandle1=light;
lighthandle2=light;
lighthandle3=light;
% lightangle(lighthandle1,315,-20);
% lightangle(lighthandle2,270,-80);
% lightangle(lighthandle3,315,-40);
lightangle(lighthandle1,315,20);
lightangle(lighthandle2,270,30);
lightangle(lighthandle3,315,40);
s.FaceAlpha=0.4;
s.AmbientStrength = 0.4;
        s.DiffuseStrength = 0.4;
        s.SpecularStrength = 1;
        s.SpecularExponent = 1;

%         s.BackFaceLighting = 'unlit';
%         axis tight
%         axis([ min(zrange)/1e-3   max(zrange)/1e-3   min(xrange)/1e-3    max(xrange)/1e-3  -100  -25]);
%         axis([36   45   -1.5    1.5  -10  30]);
        axis([36   45   -1.5    1.5  -35  10]);
        % view([8.5000   58.0000]);
%         view([3.5000   50.0000]);
view([235,20]);
% for el=0:10:360
%     lightangle(lighthandle,180,el);
%     title(num2str(el));
%     pause(0.5);
% end
%         lightangle(175,50)
%         lightangle(175,60)
%         lightangle(175,70)

%         hold on;
% 
%         s2=line(Xb(rangex),repmat(Y(Dimpley),size(rangex)),blurmeanImData(Dimpley-blursize,rangex)+max(max(blurmeanImData))*0.02);
%         s2.Color='k';
% 
%         s3=line(repmat(X(Dimplex),size(rangey)),Yb(rangey),blurmeanImData(rangey,Dimplex-blursize)+max(max(blurmeanImData))*0.02);
%         s3.Color='k';
% 
%         hold off;

set(gca,'ZTick',[],'YTick',[],'XTick',[]);

hold on;


% Dec 26 S22 P28 top view

% Dec 26 S21 P39 side view




