filenameroot='Q:\qgases\groups\strontium\SrCAL\Papers\SSBEC\Matlab analysis\Fig2\runmesb2004180002';


dotransportplot=1;
dosheetplot=1;

kB=1.3806504e-23;
au=1.660538782e-27;
mSr88=87.9056121*au; % (* kg *)
mSr87=86.9088771*au;
mSr86=85.9092602*au;
mSr84=83.913425*au;
mass=mSr84;
mot_t=1.35e-6;
evapfactor=1/3;
contourvalues=-12:0.5:10;
gravity=9.81;

trapparam.sheet_power=-34;

trapparam.horiz_power=-33;
trapparam.horiz_offset=0e-6;

trapparam.dimple_power=-34;

trapparam.transportpower=-3.9;
trapparam.transportfocus=0.005;
trapparam.transport_waist=90e-6;
trapparam.transport_lambda=1070e-9;
trapparam.transportretro_waist=trapparam.transport_waist;
trapparam.transportretrofocus=0.045;
trapparam.transportretropowerratio=0.3;
trapparam.transportretrooffset1=-70e-6;
trapparam.transportm2x=1.2;
trapparam.transportm2y=1.2;

trapparam.newsheetpower=-9.7;
% trapparam.newsheet_offset=-220e-6;
trapparam.newsheet_xoffset=150e-6;

trapparam.transportretropowerratio2=0.25;
trapparam.transportretrooffset2=70e-6;

% trapparam.newsheet_yoffset=-65e-6;
% trapparam.newsheetguideverticalangle=-0.7;

trapparam.newsheet_yoffset=-105e-6;
trapparam.newsheetguideverticalangle=-1;

trapparam.newsheetguideangle=-8;
% trapparam.newsheetguidewaist1=20e-6;
trapparam.newsheetguidewaist1=15e-6;
% trapparam.newsheetguidewaist2=350e-6;
trapparam.newsheetguidewaist2=120e-6;
trapparam.newsheetguidelambda=1070e-9;
trapparam.newsheet_zpos=0.040;

trapparam.new_dimple_power=-12;
trapparam.newdimpleguideverticalangle=87;
trapparam.newdimpleguideangle=-3;
trapparam.newdimple_xoffset=150e-6;
trapparam.newdimple_yoffset=-50e-6;
trapparam.newdimple_zpos=40e-3;
trapparam.newdimpleguidewaist=29e-6;

trapparam.couplingwaist=40e-6;
trapparam.couplingpower=0;
trapparam.couplingoffset=-125e-6;

beam=trapparameters200418(trapparam);

beam(4).power=beam(4).power*0.92; % sheet power
beam(5).power=0.575*0.95; % sheet power
beam(6).power=0.145*0.9*0.9; % dimple power


fignum=1;

xlimits=0e-6+[-300e-6,800e-6];
% xlimits=0e-6+[-50e-6,50e-6];
zcenter=41e-3;
% zlimits=zcenter+[-2500e-6,2500e-6];
zlimits=zcenter+[-2500e-6*2,2500e-6];

% xrange=xlimits(1):(xlimits(2)-xlimits(1))/201:xlimits(2);
% zrange=zlimits(1):(zlimits(2)-zlimits(1))/201:zlimits(2);
xrange=xlimits(1):(xlimits(2)-xlimits(1))/201:xlimits(2);
zrange=zlimits(1):(zlimits(2)-zlimits(1))/401:zlimits(2);
yrange=-150e-6:1e-6:50e-6;

% trapparam.transportpower=-33;
% trapparam.newsheetpower=0;
% beam=trapparameters171206(trapparam);
% 
% [fignum]=plotdipoletrap(beam,fignum,xrange,yrange,zrange);
% 
% trapparam.transportpower=0;
% trapparam.newsheetpower=-33;
% beam=trapparameters171206(trapparam);
% 
% [fignum]=plotdipoletrap(beam,fignum,xrange,yrange,zrange);
% 
% trapparam.transportpower=0;
% trapparam.newsheetpower=0;
% beam=trapparameters171206(trapparam);

% [fignum]=Fig2plotdipoletrap(beam,fignum,xrange,yrange,zrange,filenameroot);
Fig2plotdipoletrap;

Fig2SSBECplot;

