function reducedChiSquare=calculateChiSquareKnowingStd(imData,fittedParam,stdTab,xx,yy)

fittedData = constructSSBEC6(fittedParam,xx,yy);
nbParam = length(fittedParam)-2;
[Sizex,Sizey] = size(imData);
NbObs = Sizex * Sizey;


figure;
imagesc(imData - fittedData);
fittype.climits=get(gca,'cLim');
title('Residual');
colorbar;
colormap jet



reducedChiSquare = ((imData - fittedData)./stdTab).^2;
reducedChiSquare = sum(sum(reducedChiSquare)) / (NbObs-nbParam+1);

end