function OD=convertatomnumbertoOD(atoms,XCal,YCal,detuning)

if nargin==3
    detuning=0;
end
linewidth=30.5e6;

lamdaSr = 461. * 10^(-9); %(in m)   
absCrossSr = (3*(lamdaSr.^2))./(2*pi); % (m^2)

% OD=-log(max(MINTRANSMISSION,raw./probe*probeav/rawav));
% Fulldata=(XCal*YCal*1e-6)*OD/absCross; % double sum Fulldata to get the atom number

OD=atoms*(1+4*(detuning/linewidth)^2)*(absCrossSr/(XCal*YCal*1e-6)); % double sum Fulldata to get the atom number

end
