function plotcrosssections(figurenum,plotBEC,BECX,X2,ThermalY,BECYxtra,thermalcrosssectionXThPlusBEC2,BECY,thermalcrosssectionXTh2,datacrosssectionX2,MIN2DCSOD,MAX2DCSOD,filename,plotpdfversion,plotsvgversion,plotpngversion,figureheightscale,titletext)

    FIGSIZEX1=770;    FIGSIZEY1=650;    FIGXOFFSET1=30;    FIGYOFFSET1=50;

    % wide 2D cross-section plots for figure 2
    figure(figurenum);
    clf;
    set(figurenum,'position',[FIGXOFFSET1 FIGYOFFSET1 FIGSIZEX1 FIGSIZEY1*figureheightscale]);
    if (plotBEC)
%             if (length(BECX)>20)
        g=area(BECX.',[ThermalY.',BECYxtra.'],'LineStyle','none');
        g(1).FaceColor=[1 1 1];
        g(2).FaceColor=[0.8 0.8 1];
        hold on;
        h=plot(X2,thermalcrosssectionXThPlusBEC2,'r',BECX,BECY,'b',X2,thermalcrosssectionXTh2,'g--',X2,datacrosssectionX2,'k.','LineWidth',3,'MarkerSize',16);
        hold off;
        h(3).Color=[0 0.7 0];
        h(3).LineWidth=4;
    else
        h=plot(X2,thermalcrosssectionXThPlusBEC2,'r',X2,thermalcrosssectionXTh2,'g--',X2,datacrosssectionX2,'k.','LineWidth',3,'MarkerSize',16);
        h(2).Color=[0 0.7 0];
        h(2).LineWidth=4;
    end
        
        
%             h=plot(X2,thermalcrosssectionXTh2,'g--',X2,datacrosssectionX2,'k.','LineWidth',2,'MarkerSize',12);
%         export_fig([figuredirectory,'\CrosssectionBig',seriesnumtext,'N',num2str(imagenumber-1),'T',num2str(truetime),'ms3LayerFitNoLabel.png']);
%         saveas(figurenum,[figuredirectory,'\CrosssectionBig',seriesnumtext,'N',num2str(imagenumber-1),'T',num2str(truetime),'ms3LayerFit.png']);
    axis tight
    axval=axis;
    axis([axval(1:2) MIN2DCSOD MAX2DCSOD]);
    set(gca, 'FontSize',20);
    set(gca, 'YMinorTick','off', 'XMinorTick','off', 'YMinorGrid','off'); %, 'XMinorGrid','on')
    set(figurenum,'PaperPositionMode','auto');
    if plotpdfversion,
        print(figurenum,'-painters','-dpdf',filename);
    end
    if plotsvgversion,
        print(figurenum,'-dsvg',filename);
    end
    if plotpngversion,
        print(figurenum,'-dpng',filename);
    end
    
    title(titletext);
    set(figurenum,'PaperPositionMode','auto');
    if plotpdfversion,
        print(figurenum,'-painters','-dpdf',[filename,'Titled']);
    end
    if plotsvgversion,
        print(figurenum,'-dsvg',[filename,'Titled']);
    end
    if plotpngversion,
        print(figurenum,'-dpng',[filename,'Titled']);
    end
%         xlin = (1:1000000)/1000000;
%         y = finv(xlin,1,(numel(fittedDataCS) - 19));
%         Fcrit =  finv(0.95,1,(numel(fittedDataCS) - 19));
%         falseRejectProb = 1 - fcdf(F,1,(numel(fittedDataCS) - 19));
%         plot(xlin,y)

    set(gca, 'YTick', [], 'XTick', []);
    set(gca, 'YTick', []);
    title('');
    set(figurenum,'PaperPositionMode','auto');
    if plotpdfversion,
        print(figurenum,'-painters','-dpdf',[filename,'NoAxis']);
    end
    if plotsvgversion,
        print(figurenum,'-dsvg',[filename,'NoAxis']);
    end
    if plotpngversion,
        print(figurenum,'-dpng',[filename,'NoAxis']);
    end
end

