function [difference,newdata,raw,probe]=loadvisionpicture(directory,seriesnumber,imagenumber,cameranumber)

if seriesnumber>0
    directory=[directory,'\S',num2str(seriesnumber)];
end

atomsdata=loadtga([directory,'\P',num2str(imagenumber,'%04i'),char(64+cameranumber),'A',num2str(cameranumber-1),'.tga']);
noisedata=loadtga([directory,'\P',num2str(imagenumber,'%04i'),char(64+cameranumber),'N',num2str(cameranumber-1),'.tga']);
probedata=loadtga([directory,'\P',num2str(imagenumber,'%04i'),char(64+cameranumber),'P',num2str(cameranumber-1),'.tga']);
otherdata=loadtga([directory,'\P',num2str(imagenumber,'%04i'),char(64+cameranumber),'O',num2str(cameranumber-1),'.tga']);

if ~isempty(atomsdata)
%                 display([directory,'\S',num2str(seriesnumber),'\P',num2str(imagenumber,'%04i'),char(64+cameranumber),'A',num2str(cameranumber-1),'.tga']);
    newdata=1;
    raw=(atomsdata-noisedata);
    probe=(probedata-noisedata);
    difference=raw-probe;
else
    newdata=0;
end
